/*
 * Copyright (c) 2015, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

 /*
  * @test
  * @bug 8078093
  * @summary Exponential performance regression Java 8 compiler compared to Java 7 compiler
  * @compile InferWeak.java
  */
class InferWeak {
    private void test() {
        GroupLayout l = new GroupLayout();
        l.setHorizontalGroup(
            l.createParallelGroup().addGroup(l.createParallelGroup().addGroup(
            l.createParallelGroup().addGroup(l.createParallelGroup().addGroup(
            l.createParallelGroup().addGroup(l.createParallelGroup().addGroup(
            l.createParallelGroup().addGroup(l.createParallelGroup().addGroup(
            l.createParallelGroup().addGroup(l.createParallelGroup().addGroup(
            l.createParallelGroup().addGroup(l.createParallelGroup().addGroup(
            l.createParallelGroup().addGroup(l.createParallelGroup().addGroup(
            l.createParallelGroup().addGroup(l.createParallelGroup().addGroup(
            l.createParallelGroup().addGroup(l.createParallelGroup().addGroup(
            l.createParallelGroup().addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object())).addGap(1).addComponent(new Object()).addGap(1)
            .addComponent(new Object()));
    }

    static class GroupLayout {
        <T extends ParallelGroup> T createParallelGroup() {return null;}
        <T extends ParallelGroup> T createParallelGroup(int i) {return null;}
        <T extends ParallelGroup> T createParallelGroup(int i, int j) {return null;}
        void setHorizontalGroup(ParallelGroup g) { }
    }

    static class ParallelGroup {
        <T extends ParallelGroup> T addGroup(ParallelGroup g) { return null; }
        <T extends ParallelGroup> T addGroup(int i, ParallelGroup g) { return null; }
        <T extends ParallelGroup> T addGap(int i) { return null; }
        <T extends ParallelGroup> T addGap(int i, int j) { return null; }
        <T extends ParallelGroup> T addComponent(Object c) { return null; }
        <T extends ParallelGroup> T addComponent(int i, Object c) { return null; }
    }
 }
